update DisckDB.RevGeoMetriHistory
set 
  PlaceName   =  (
    select PlaceName from temp_RevGeoMetriHistory
      where 
      (DisckDB.RevGeoMetriHistory.Service  = temp_RevGeoMetriHistory.Service) 	and
      (DisckDB.RevGeoMetriHistory.Lat      = temp_RevGeoMetriHistory.Lat) 			and
      (DisckDB.RevGeoMetriHistory.Lon      = temp_RevGeoMetriHistory.Lon) 			and
      (DisckDB.RevGeoMetriHistory.InqTime  < temp_RevGeoMetriHistory.InqTime)
     )  ,
  CandidatePlaceName  = (
    select CandidatePlaceName from temp_RevGeoMetriHistory
     where 
      (DisckDB.RevGeoMetriHistory.Service  = temp_RevGeoMetriHistory.Service) 	and
      (DisckDB.RevGeoMetriHistory.Lat      = temp_RevGeoMetriHistory.Lat) 			and
      (DisckDB.RevGeoMetriHistory.Lon      = temp_RevGeoMetriHistory.Lon) 			and
      (DisckDB.RevGeoMetriHistory.InqTime  < temp_RevGeoMetriHistory.InqTime)
     )  ,
  Elevation  = (
    select Elevation from temp_RevGeoMetriHistory
     where 
      (DisckDB.RevGeoMetriHistory.Service  = temp_RevGeoMetriHistory.Service) 	and
      (DisckDB.RevGeoMetriHistory.Lat      = temp_RevGeoMetriHistory.Lat) 			and
      (DisckDB.RevGeoMetriHistory.Lon      = temp_RevGeoMetriHistory.Lon) 			and
      (DisckDB.RevGeoMetriHistory.InqTime  < temp_RevGeoMetriHistory.InqTime)
     )  ,
  InqTime    = (
    select InqTime from temp_RevGeoMetriHistory
     where 
      (DisckDB.RevGeoMetriHistory.Service  = temp_RevGeoMetriHistory.Service) 	and
      (DisckDB.RevGeoMetriHistory.Lat      = temp_RevGeoMetriHistory.Lat) 			and
      (DisckDB.RevGeoMetriHistory.Lon      = temp_RevGeoMetriHistory.Lon) 			and
      (DisckDB.RevGeoMetriHistory.InqTime  < temp_RevGeoMetriHistory.InqTime)
   ) ,
       
  UserName    = (
    select UserName from temp_RevGeoMetriHistory
     where 
      (DisckDB.RevGeoMetriHistory.Service  = temp_RevGeoMetriHistory.Service) 	and
      (DisckDB.RevGeoMetriHistory.Lat      = temp_RevGeoMetriHistory.Lat) 			and
      (DisckDB.RevGeoMetriHistory.Lon      = temp_RevGeoMetriHistory.Lon) 			and
  )    (DisckDB.RevGeoMetriHistory.InqTime  < temp_RevGeoMetriHistory.InqTime)
 